Subject: Re: [Sip] draft-ietf-sip-sips-05 comments

From: Samir Srivastava <[email-masked]>
Date: Wed, 22 Aug 2007 14:46:45 -0700 (PDT)

Hi,

>If my thinking is right, this possibly creates an odd situation if the last hop proxy is a 2543 >implementation that does not do loose routing (do these still exist?). My take is that if the proxy is a >loose router and inserts a "sip" route, at the UA sending a request, the request-uri is a "sips" URI, >then TLS should be used. However, if the proxy is not a loose router and inserts a "sip" route, then at >the UA sending a request, the request-URI will no longer be a "sips" URI but a "sip" URI, thus allowing >a different resolution mechanism. I wonder if this is worth mentionning in the draft.

2543 didn't specify the SIPS at the first place. Good luck with explaining the loose / strict routing with SIPS. When I was leaving my last employer, my understanding was that SIPS is LARGELY broken and it will clarify what SIPS provides. I am still digging into the threads what made it to be still seen as STANDARD track. If it is having just politically correct answers for this, then I am going to keep silence and enjoy.

On the e2e side of SIP work, it works well in CS applications, where server takes care of fulfilling the regulatory compliance of recording, tracking etc. How it will be filled in tunnel of UA to UA? Then why we need proxy and further why is record routing introduced? Or we don't care about FCC and other countries regulatory boides. 

My 2 Cents.

Samir

____________________________________________________________________________________
Be a better Heartthrob. Get better relationship answers from someone who knows. Yahoo! Answers - Check it out. 
http://answers.yahoo.com/dir/?link=list&sid=396545433

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip